<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.2                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: all_tests.php 1262 2005-01-20 12:59:01Z andrew $
*/

/**
 * @package    Max
 * @subpackage TestSuite
 * @author     Andrew Hill <andrew@awarez.net>
 */

/**
 * A script for running the Delivery Engine tests. Designed to be included
 * in a main, project-wide all_tests.php file, or to be run by itself.
 */

// Configure the installation paths
if (!defined('MAX_PATH')) {
    define('MAX_PATH', preg_replace('#/tests/delivery#', '', dirname(__FILE__)));
}
if (!defined('phpAds_path')) {
    define('phpAds_path', MAX_PATH);
}

// Include the simpletest classes, if required
require_once MAX_PATH . '/libraries/pear/simpletest/unit_tester.php';
require_once MAX_PATH . '/libraries/pear/simpletest/reporter.php';

global $testStart, $testEnd;
if (!isset($testStart)) {
    // Output the HTML header
    include MAX_PATH . '/tests/header.html';
    // Record the test start time
    $testStart = time();
    $runTime = true;
}

$test = &new GroupTest('Delivery Engine: Base Tests');
$test->addTestFile(MAX_PATH . '/tests/delivery/libraries/geotargeting/TestOfGeoIP.php');
$test->addTestFile(MAX_PATH . '/tests/delivery/libraries/geotargeting/TestOfMod_GeoIP.php');
$test->run(new HtmlReporter());

$test = &new GroupTest('Delivery Engine: Data Tests');
$test->addTestFile(MAX_PATH . '/tests/delivery/libraries/TestOfLib-Log.php');
$test->run(new HtmlReporter());

if ($runTime) {
    // Calculate and display the test run time
    $testEnd = time();
    $time = $testEnd - $testStart;
    echo '<p>Tests took ' . $time . ' seconds</p>';
    // Output the HTML footer
    include MAX_PATH . '/tests/footer.html';
}

?>
